Loading...
Searching...
No Matches
ForceFields::MMFF::OopBendContrib Class Reference

the out-of-plane term for MMFF More...

`#include <OopBend.h>`

Inheritance diagram for ForceFields::MMFF::OopBendContrib:

## Public Member Functions

| OopBendContrib ()
| OopBendContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, const MMFFOop *mmffOopParams)
| Constructor.
double | getEnergy (double *pos) const override
| returns our contribution to the energy of a position
void | getGrad (double *pos, double *grad) const override
| calculates our contribution to the gradients of a position
OopBendContrib * | copy () const override
| return a copy
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members

Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField {nullptr}
| our owning ForceField

## Detailed Description

the out-of-plane term for MMFF

Definition at line 24 of file OopBend.h.

## Constructor & Destructor Documentation

## OopBendContrib() [1/2]

ForceFields::MMFF::OopBendContrib::OopBendContrib | ( |  | ) |

inline

Definition at line 26 of file OopBend.h.

## OopBendContrib() [2/2]

ForceFields::MMFF::OopBendContrib::OopBendContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | const MMFFOop * | mmffOopParams
| ) |  |

Constructor.

    The Wilson angle is between the vector formed by atom2-atom4

and the angle formed by atom1-atom2-atom3

    \param owner       pointer to the owning ForceField
    \param idx1        index of atom1 in the ForceField's positions
    \param idx2        index of atom2 in the ForceField's positions
    \param idx3        index of atom3 in the ForceField's positions
    \param idx4        index of atom4 in the ForceField's positions

## Member Function Documentation

## copy()

OopBendContrib * ForceFields::MMFF::OopBendContrib::copy | ( |  | ) | const

inline override virtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 43 of file OopBend.h.

## getEnergy()

double ForceFields::MMFF::OopBendContrib::getEnergy | ( | double * | pos | ) | const

override virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

## getGrad()

void ForceFields::MMFF::OopBendContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const

override virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- OopBend.h